Subject: bug#2062: PATH can contain non-expanded variables

From: Juanma Barranquero <[email-masked]>
Date: Wed, 28 Jan 2009 09:36:55 +0100

On Wed, Jan 28, 2009 at 05:12, Eli Zaretskii <[email-masked]> wrote:

> I was trying to understand how come a variable is stored in the
> Registry with incorrect REG_EXPAND_SZ, and how often that happens.  Is
> that true that in your case it is simply a user mistake?

Of course not. It was done on purpose, if that's what you're asking.
But I don't see anything that suggests that REG_EXPAND_SZ is not valid
for App Path entries. In fact, Microsoft adds such entries, and
perusing the MSDN seems to indicate that they are indeed valid.

Not only that: if I start Emacs from a desktop shortcut (and, thus,
through ShellExecute), App Paths is correctly expanded.

    Juanma